I am working to use ZenWorks to patch all of our SLES/RedHat servers and I am having issues on the very first client I am trying to set up. When I try to install the agent, using either the complete or network install .bin, I run into the following error....

Cmd: '/bin/sh /opt/novell/zenworks/stage/installJava.sh INSTALL_JRE'

Exiting with error code -1.
Exiting with error code 255.

I realize that this is because my server already has JDK7 installed on it. The servers that I need ZenWorks to patch are production servers which require an updated java (and by updated, I require Java 7 - not the most up to date Java 6). I cannot simply uninstall JDK7 to allow the Zen Agent Installer to install the old JRE without breaking production servers. I found TID 7010783, but it does not quite solve my problem.

Any help that can be offered is appreciated!